import network
import time

uid=machine.unique_id()
ap_if = network.WLAN(network.AP_IF)
ap_if.config(essid="WB-"+"%02X"%uid[3]+"%02X"%uid[4]+"%02X"%uid[5])
ap_if.active(True)
print('WiFiBoyAP network config:', ap_if.ifconfig())

network.ftp.start(user='micro', password='python', buffsize=1024, timeout=300)
network.telnet.start(user='micro', password='python', timeout=300)
print('WiFiBoyAP.IP is : ' + ap_if.ifconfig()[0])

wb.cls()
wb.colors(wb.CYAN, 0)
wb.str("SSID:",5,0,3,1)
wb.str("WB-"+"%02X"%uid[3]+"%02X"%uid[4]+"%02X"%uid[5],15,18,4,1)
wb.colors(wb.CYAN, 0)
wb.str("Password:",5,35,3,1)
wb.str("(none)",15,50,4,1)
wb.colors(wb.YELLOW, 0)
wb.str(str(ap_if.ifconfig()[0]),15,70,4,1)
wb.colors(wb.GREEN, 0)
wb.str("Telnet & FTP Services",5,100,2,1)
wb.colors(wb.PINK, 0)
wb.str("Initialized.",15,112,2,1)